import 'package:diplomaticquarterapp/voipcall/model/get_user_login_token.dart';

class AppState {
  static final AppState _instance = AppState._internal();

  AppState._internal();

  factory AppState() => _instance;

  bool isLogged = false;

  set setLogged(v) => isLogged = v;

  bool get getIsLogged => isLogged;

  // Calling
  UserAutoLoginModel? chatDetails;

  set setchatUserDetails(UserAutoLoginModel details) => chatDetails = details;

  UserAutoLoginModel get getchatUserDetails => chatDetails!;

  String _iosVoipPlayerID = "";

  String get iosVoipPlayerID => _iosVoipPlayerID;

  set setiosVoipPlayerID(String value) {
    _iosVoipPlayerID = value;
  }

  bool _isUserOnline = false;

  bool get getisUserOnline => _isUserOnline;

  set setisUserOnline(bool value) {
    _isUserOnline = value;
  }

  bool _isBackgroundCall = false;

  bool get isBackgroundCall => _isBackgroundCall;

  set isBackgroundCall(bool value) {
    _isBackgroundCall = value;
  }
}
